using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Music.Model;

namespace Music.StubRepository
{
    public class ArtistRepository : IArtistRepository
    {

        #region IArtistRepository Members

        public IEnumerable<Artist> FindAll()
        {
            return new DataContext().Artists;
        }

        public Artist FindBy(int id)
        {
            return new DataContext().Artists.FirstOrDefault(artist => artist.Id == id);
        }

        #endregion
    }
}
